Class | EstraierPure::NodeResult
In: | estraierpure.rb
Parent: | Object

Abstraction of result set from node.

### Methods

doc_num get_doc hint new

### Public Class methods

new(docs, hints)

Create a node result object.

### Public Instance methods

doc_num()

Get the number of documents. The return value is the number of documents.

get_doc(index)

Get the value of hint information. The return value is a result document object or `nil’ if the index is out of bounds.

hint(key)

Get the value of hint information. `key’ specifies the key of a hint. "VERSION", "NODE", "HIT", "HINT#n", "DOCNUM", "WORDNUM", "TIME", "TIME#n", "LINK#n", and "VIEW" are provided for keys. The return value is the hint or `nil’ if the key does not exist.

[Validate]